# system.ntpserver.update

Update NTP server of id.

Type: object

##

Type: array
No Additional Items

#### Tuple Validation

##### Parameter 1: id

#### id

Type: integer

ID of the NTP server to update.

##### Parameter 2: ntp_server_update

#### ntp_server_update

Type: object

Updated configuration for the NTP server.

No Additional Properties

##

#### Address

Type: string

Hostname or IP address of the NTP server.

##

#### Burst

Type: boolean

Send a burst of packets when the server is reachable.

##

#### Iburst

Type: boolean

Send a burst of packets when the server is unreachable.

##

#### Prefer

Type: boolean

Mark this server as preferred for time synchronization.

##

#### Minpoll

Type: integer

Minimum polling interval (log2 seconds).

##

#### Maxpoll

Type: integer

Maximum polling interval (log2 seconds).

##

#### Force

Type: boolean

Force creation even if the server is unreachable.

##

#### NTPServerEntry

Type: object

The updated NTP server configuration.

No Additional Properties

##

#### Id

Type: integer

Unique identifier for the NTP server configuration.

##

#### Address

Type: string

Hostname or IP address of the NTP server.

##

#### Burst

Type: boolean Default: false

Send a burst of packets when the server is reachable.

##

#### Iburst

Type: boolean Default: true

Send a burst of packets when the server is unreachable.

##

#### Prefer

Type: boolean Default: false

Mark this server as preferred for time synchronization.

##

#### Minpoll

Type: integer Default: 6

Minimum polling interval (log2 seconds).

##

#### Maxpoll

Type: integer Default: 10

Maximum polling interval (log2 seconds).

Required roles: NETWORK_GENERAL_WRITE